OPENDIR(3)

NAME
opendir - open a directory

SYNOPSIS
#include <sys/types.h>
#include <dirent.h>

DIR *opendir(const char *name);

DESCRIPTION
The opendir() function opens a directory stream corresponding to the directory name, and returns a pointer to the directory stream. The stream is positioned at the first entry in the directory.

RETURN VALUE
The opendir() function returns a pointer to the directory stream. On error, NULL is returned, and errno is set appropriately.

ERRORS

EACCES
    Permission denied.

EMFILE
    Too many file descriptors in use by process.

ENFILE
    Too many files are currently open in the system.

ENOENT
    Directory does not exist, or name is an empty string.

ENOMEM
    Insufficient memory to complete the operation.

ENOTDIR
    name is not a directory.

CONFORMING TO
SVr4, 4.3BSD, POSIX.1-2001.

NOTES
The underlying file descriptor of the directory stream can be obtained using dirfd(3).

SEE ALSO
open(2), closedir(3), dirfd(3), readdir(3), rewinddir(3), scandir(3), seekdir(3), telldir(3)